Post

2 followers Follow
0
Avatar

2021.2 Wrapper plugin error

Good morning,

I'm having issues with wrapper plugins in Geneious 2021.2.2.  This may be specific to Linux.  Plugins which I previously had running in Geneious are still working properly upon upgrading.  However, newly made or edited plugins are not working.

For example, on an older version of Geneious, I had made a plugin on a Windows computer.  I transferred that plugin to a Linux computer, then added a Linux version of the program file to it.  This was all done on an older version of Geneious.  That worked fine, and continues to work fine.

Meanwhile, after downloading the latest Geneious update, I wanted to use that same plugin on a different user account on the same Linux computer.  I transferred the original plugin over to it (without the Linux version of the program file).  I then went in to the wrapper plugin creator and added the Linux version, just as I had done on the other user account on an older version of Geneious.  Now when I try to run the plugin, I get the following error:

"java.io.IOException: Cannot run program "/home/chow/.geneious2021.2data/WrapperPluginDevelopment/SequenceSplitter/Linuxsequence_splitter.py" (in directory "/home/chow/.geneious2021.2data/transient/1626786853128/x/7"): error=2, No such file or directory"

I have checked and the file definitely is properly located in the right section of the WrapperPluginDevelopment folder, in the right version of Geneious.  This issue is occurring with other plugins I'm working on as well.

Chow

Please sign in to leave a comment.

1 comment

0
Avatar

Hi, our developers are looking into this.  It would be useful if you could send us a support ticket after you've tried to run the plugin in Prime 2021.2 by using the Contact Us option in Geneious, as that will include some logs from your system which might show more information.  This is under the Help menu.  

Hilary Miller 0 votes
Comment actions Permalink